#include <stdio.h>
#include <stdlib.h>

void ucitaj(int n, int m, int a[][100])
{
    int i,j;
    for(i=0; i<n; i++)
    {
        for(j=0; j<m; j++)
        {
            scanf("%d", &a[i][j]);
        }
    }
}

void pisi(int n, int m, int a[][100])
{
    int i,j;
    for(i=0; i<n; i++)
    {
        for(j=0; j<m; j++)
        {
            printf("%d ", a[i][j]);
        }
        printf("\n");
    }
    printf("\n");
}

int main()
{
    int a[100][100],b[100][100],donja_granica,gornja_granica,i,brojac=0,n,m,x=2,y=3;
    scanf("%d", &n);
    scanf("%d", &m);
    ucitaj(n,x,a);
    ucitaj(m,y,b);
    for(i=0; i<m; i++)
    {
        brojac=0;
        donja_granica = (b[i][0])-1;
        gornja_granica = (b[i][1])-1;
        for(donja_granica; donja_granica<=gornja_granica; donja_granica++)
        {
            if(b[i][2]>=a[donja_granica][0]&& b[i][2]<=a[donja_granica][1])
            {
                brojac++;
            }
        }
        printf("%d\n", brojac);
    }
    return 0;
}